package kerne;

import java.util.*;
public class Omraade
{
		private String omraadeID;
		private int stoerrelse;
	
		private Collection forladtOmraadeCollection = new Vector ();
		private Collection moeder = new Vector();

		public Omraade(String omraadeID, int stoerrelse) {
	this.omraadeID = omraadeID;
	this.stoerrelse = stoerrelse;
		}


		public int getStoerrelse() {
	return stoerrelse;
		}


		public String getOmraadeID() {
	return omraadeID;
		}


		protected void add(ForladtOmraade forladtOmraade) {
	forladtOmraadeCollection.add(forladtOmraade);
		}


		public void addMoede(Moede moede) {
	moeder.add(moede);
		}


		public boolean isStortLedigt(int antal, Date start, Date slut) {
	Iterator moedeIterator = moeder.iterator();
	boolean conflict = false;

	while (moedeIterator.hasNext()) {
			Moede moede = (Moede)moedeIterator.next();
			Date mstart = moede.getStart();
			Date mslut = moede.getSlut();
			
			if (mstart.compareTo(start) < 0 && mslut.compareTo(start) > 0) { //(mstart < start && mslut > start)
		conflict = true;
			} else if (mstart.compareTo(start) > 0 && mstart.compareTo(slut) < 0) { //(mstart > start && mstart < slut)
		conflict = true;
			} 		
	}

	return !conflict;
		}


		public String toString() {
	return "Omrde "+omraadeID+", "+stoerrelse;
		}
}
