package test;
import medier.*;
import kerne.*;
import usecaseFacade.*;
import java.util.*;
public class TestDataOprettelse
{
  public static void createTestmodel()
  {
      createTestPersoner();
      createTestOmraader();
      createTestForladOmraade();
      createTestEfterspoergsel();
      createTestMedier();
  }

  public static void createTestPersoner()
  {
    Kerne kerne = Kerne.getKerne();
    kerne.opretPerson("p01", "Jan Kejser", "Colbjrnsensvej 22 5000 Odense C");
    kerne.opretPerson("p02", "Poul Rytter Larsen", "Harndrup Skov 11 5463 Harndrup");
    kerne.opretPerson("p03", "John Bonnerup Nielsen", "Hollufgrdsvej 200B 5220 Odense S");
    kerne.opretPerson("p04", "Helge Green", "bakkevej 11 5210 Odense NV");
    kerne.opretPerson("p05", "Torben Hjrup", "Karl Withsvej 11 5000 Odense C");
    /*
    kerne.opretPerson("p06", "Regitze Sparre Kristensen", "sumvej 11 5240 Odense N", null);
    kerne.opretPerson("p07", "Tove Zga Larsen", "Harndrup Skov 11 5463 Harndrup", null);
    kerne.opretPerson("p08", "Gert Aagaard", "Bjergegade 24 5000 Odense C", null);
    kerne.opretPerson("p09", "Steen Tougaard Andersen", "Strandvej 47 5700 Svendborg", null);
    kerne.opretPerson("p10", "Jrgen Autzen", "sterbksvej 14 5230 Odense M", null);
    kerne.opretPerson("p11", "Bjrk Boye Busch", "Sophus Bauditz vej 5 5210 Odense NV", null);
    kerne.opretPerson("p12", "Hans Peter Stengade Christensen", "bakkevej 15 5210 Odense NV", null);
    kerne.opretPerson("p13", "Ulla Juhl Christensen", "Georgsgade 28 5000 Odense C", null);
    kerne.opretPerson("p14", "Michael Skaarup Christiansen", "Kastanievej 35 5230 Odense M", null);
    kerne.opretPerson("p15", "Ole Dolriis", "Biskorupvej 35 5240 Odense N", null);
    kerne.opretPerson("p16", "Peer Uldum Erlandsen", "Pilevangen 5 5210 Odense NV", null);
    kerne.opretPerson("p17", "Birgit Faarvang", "Kirkebjerg 2 5690 Tommerup", null);
    kerne.opretPerson("p18", "Kirsten Haugaard", "Klaregade 15 5000 Odense C", null);
    kerne.opretPerson("p19", "Hans Henrik R. Husted", "Kapelvej 11 5592 Ejby", null);
    kerne.opretPerson("p20", "Bruno Johansen", "Lupinvej 48 5210 Odense NV", null);
    kerne.opretPerson("p21", "Steen Kraft", "Bellisvnget 29 5450 Otterup", null);
    kerne.opretPerson("p22", "Bjarne Larsen", "Dragebakken 512 5250 Odense SV", null);
    kerne.opretPerson("p23", "Jens Helveg Larsen", "Krbygade 10 5320 Agedrup", null);
    kerne.opretPerson("p24", "Lisa Larsen", "Vandvrksvej 5 5300 Kerteminde", null);
    kerne.opretPerson("p25", "Tove Larsen", "Hybenvej 6 5260 Odense S", null);
    kerne.opretPerson("p26", "Jan Mlund", "Buchwaldsgade 55 5000 Odense C", null);
    kerne.opretPerson("p27", "Hans Sndergaard", "Mogens Lebechs Vej 27 7000 Fredericia", null);
    kerne.opretPerson("p28", "Inge Srensen", "Birkholmvej 39 5471 Snders", null);
    kerne.opretPerson("p29", "Hanne Tirsgaard", "Skt. Hans Gade 37 1. 5000 Odense C", null);
    kerne.opretPerson("p30", "Jrn Vesterdal", "Plantagevej 38 9230 Svenstrup J", null);
    kerne.opretPerson("p31", "Flemming Vistrup", "Flledvej 11 3.tv 5000 Odense C", null);
    */
  }

  public static void createTestOmraader()
  {
    Kerne kerne = Kerne.getKerne();
    kerne.opretOmraade("o100",10);
    kerne.opretOmraade("o110",20);
    kerne.opretOmraade("o200",30);
    kerne.opretOmraade("o210",40);
  }

    public static void createTestForladOmraade()
    {
    Doermand.personSkifterOmraade("p03", "o200");
    Doermand.personSkifterOmraade("p03", "o100");
    Doermand.personSkifterOmraade("p03", "o210");
    Doermand.personSkifterOmraade("p03", "o110");
    Doermand.personSkifterOmraade("p03", "o210");
    Doermand.personSkifterOmraade("p03", "o100");
    Doermand.personSkifterOmraade("p01", "o100");
  }

  public static void createTestEfterspoergsel()
  {
    Doermand.registrerEfterspoergsel("p01", "p02");
    Doermand.registrerEfterspoergsel("p01", "p03");
    Doermand.registrerEfterspoergsel("p01", "p04");
    Doermand.registrerEfterspoergsel("p02", "p01");
    Doermand.registrerEfterspoergsel("p02", "p03");
  }

  public static void createTestMedier()
  {
    Person person = Kerne.getKerne().getPerson("p01");
    person.addMedie(new MailMedie("xxx@xxx.dk"));
  }

}
