package test;
import kerne.*;
import java.util.*;
public class TestDataUdskrifter
{

  public static  void visPersoner()
  {
    System.out.println("---------------------------------------------");
    System.out.println("Alle personer");
    Iterator personIterator = Kerne.getKerne().getPersonIterator();
    while (personIterator.hasNext())
    {
      Person person = (Person)personIterator.next();
      System.out.println(person);
    }
  }

  public static  void visAllePersonersForladteOmraader()
  {
    System.out.println("---------------------------------------------");
    System.out.println("Alle personers forladte omrder");
    Iterator personIterator = Kerne.getKerne().getPersonIterator();
    while (personIterator.hasNext())
    {
      Person person = (Person)personIterator.next();
      visPersonsForladteOmraader(person);
    }
  }
  public static  void visPersonsForladteOmraader(Person person)
  {
    System.out.println("---------------------------------------------");
    System.out.println(person);
    Iterator forladtOmraadeIterator = person.getForladtOmraadeIterator();
    while (forladtOmraadeIterator.hasNext())
    {
      ForladtOmraade forladtOmraade = (ForladtOmraade)forladtOmraadeIterator.next();
      System.out.println(forladtOmraade);
    }
  }

  public static  void visOmraader()
  {
    System.out.println("---------------------------------------------");
    System.out.println("Alle Omrder");
    Iterator omraadeIterator = Kerne.getKerne().getOmraadeIterator();
    while (omraadeIterator.hasNext())
    {
      Omraade  omraade = (Omraade)omraadeIterator.next();
      System.out.println(omraade);
    }
  }


  public static  void visAllePersonersMoeder()
  {
    System.out.println("---------------------------------------------");
    System.out.println("Alle personers mder");
    Iterator personIterator = Kerne.getKerne().getPersonIterator();
    while (personIterator.hasNext())
    {
      Person person = (Person)personIterator.next();
      System.out.println("---------------------------------------------");
      System.out.println(person);
      visPersonsMoederAnsvar(person);
      visPersonsMoederDeltagelse(person);
    }
  }
  public static  void visPersonsMoederAnsvar(Person person)
  {
    Iterator ansvarligForMoederIterator = person.getAnsvarligForMoederIterator();
    while (ansvarligForMoederIterator.hasNext())
    {
      System.out.println("Person ansvar for mder:");
      Moede moede = (Moede)ansvarligForMoederIterator.next();
      System.out.println(moede);
    }
  }
  public static  void visPersonsMoederDeltagelse(Person person)
  {
    System.out.println("Person deltager i mder:");
    Iterator deltagerIMoederIterator = person.getDeltagerIMoederIterator();
    while (deltagerIMoederIterator.hasNext())
    {
      Moede moede = (Moede)deltagerIMoederIterator.next();
      System.out.println(moede);
    }
  }

  public static  void visAllePersonersEfterspoergsler()
  {
    System.out.println("---------------------------------------------");
    System.out.println("Alle personers eftersprgsler");
    Iterator personIterator = Kerne.getKerne().getPersonIterator();
    while (personIterator.hasNext())
    {
      Person person = (Person)personIterator.next();
      System.out.println("---------------------------------------------");
      System.out.println(person);
      visPersonsEgneEfterspoergsel(person);
      visPersonsAndreasEfterspoergsel(person);
    }
  }
  public static  void visPersonsEgneEfterspoergsel(Person person)
  {
    System.out.println("Person har efterspurgt flgende personer:");
    Iterator egneEfterspoergselIterator = person.getEgneEfterspoergselIterator();
    while (egneEfterspoergselIterator.hasNext())
    {
      Efterspoergsel efterspoergsel = (Efterspoergsel)egneEfterspoergselIterator.next();
      System.out.println(efterspoergsel.getEfterspurgte());
    }
  }
  public static  void visPersonsAndreasEfterspoergsel(Person person)
  {
    System.out.println("Person er efterspurgt af flgende personer:");
    Iterator andresEfterspoergselIterator = person.getAndresEfterspoergselIterator();
    while (andresEfterspoergselIterator.hasNext())
    {
      Efterspoergsel efterspoergsel = (Efterspoergsel)andresEfterspoergselIterator.next();
      System.out.println(efterspoergsel.getEfterspoerger());
    }
  }




}