package usecaseFacade;

import kerne.*;
import java.util.*;
public class EfterspoergselsBehandler
{
		private Person person;
		private Iterator nyEfterspoergselIterator;
		private Iterator setEfterspoergselIterator;
        private Efterspoergsel aktuelEfterspoergsel;

		public EfterspoergselsBehandler (String personID)	{
			 Person person = Kerne.getKerne().getPerson(personID);
			 nyEfterspoergselIterator = person.getNyEfterspoergselIterator();
			 setEfterspoergselIterator = person.getSetEfterspoergselIterator();
		}

		public boolean flereNye ()  {
			 return nyEfterspoergselIterator.hasNext();
		}

		public Efterspoergsel nextNye ()  {
			 Efterspoergsel efterspoergsel = (Efterspoergsel)nyEfterspoergselIterator.next();
			 efterspoergsel.setSet();
             aktuelEfterspoergsel = efterspoergsel;
			 return efterspoergsel;
		}

		public boolean flereSete ()  {
			 return setEfterspoergselIterator.hasNext();
		}

		public Efterspoergsel nextSete ()  {
			 Efterspoergsel efterspoergsel = (Efterspoergsel)setEfterspoergselIterator.next();
			 aktuelEfterspoergsel = efterspoergsel;
			 return efterspoergsel;
		}


		public void kasser () {
			 if (aktuelEfterspoergsel != null)
			    aktuelEfterspoergsel.setKasseret();
		}

		public void kasserAlleSete () {
			 Iterator setEfterspoergselIterator = person.getSetEfterspoergselIterator();
			 while (setEfterspoergselIterator.hasNext())
			 {
					Efterspoergsel efterspoergsel = (Efterspoergsel)setEfterspoergselIterator.next();
					efterspoergsel.setKasseret();
			 }
		}

}
