package kerne;

import java.util.*;
public class Moede
{
		private Person ansvarlig;
		private Omraade omraade;
		private Collection deltagere;
		private int antalDeltagere;
		private boolean oprettet;
		private Date start;
		private Date slut;

		
		protected Moede() {
	deltagere = new Vector();
	oprettet = false;
		}


		public Person getAnsvarlig() {
	return this.ansvarlig;
		}


		public void setAnsvarlig(Person ansvarlig) {
	this.ansvarlig = ansvarlig;
		}


		public void addDeltager(Person deltager) {
	deltagere.add(deltager);
		}


		public void setAntalDeltagere(int antalDeltagere) {
	this.antalDeltagere = antalDeltagere;
		}


		public int getAntalDeltagere() {
	return this.antalDeltagere;
		}


		public void setStartSlut(Date start, Date slut) {
	this.start = start;
	this.slut = slut;
		}


		public Date getStart() {
	return this.start;
		}

		public Date getSlut() {
	return this.slut;
		}


		public Iterator getDeltagerIterator() {
	return deltagere.iterator();
		}


		public Iterator visKonflikter() {
	AbstractCollection konfliktListe = new Vector();
	Iterator deltagerListe = deltagere.iterator();

	while (deltagerListe.hasNext()) {
			Person deltager = (Person) deltagerListe.next();
			if (deltager.konflikt(this.start, this.slut)) {
		konfliktListe.add(deltager);
			}
	}
	return konfliktListe.iterator();
		}


		public Omraade getOmraade() {
	return this.omraade;
		}


		public void setOmraade(Omraade omraade) {
	this.omraade = omraade;
		}


		public boolean getOprettet() {
	return this.oprettet;
		}


		public void setOprettet(boolean oprettet) {
	this.oprettet = oprettet;
		}
		
		public String toString() 
		{
				return "Moede: Antal deltagere: " + antalDeltagere +" Oprettet: " + 
				oprettet + " Starter: " + start + " Slutter: " + slut;
		} 	 
}
