package usecaseFacade;

import kerne.*;
import beskeder.*;
import java.util.*;
public class Doermand
{
		private static Person getPerson (String personID) {
				return Kerne.getKerne().getPerson(personID);
		}
		private static Omraade getOmraade (String OmraadeID) {
				return Kerne.getKerne().getOmraade(OmraadeID);
		}

		public static String personAnkommer(String personID, String omraadeID) {
	String velkomst = "Velkommen ";
	personSkifterOmraade(personID, omraadeID);
	Person person = getPerson(personID);
	person.oplysOmAnkomst();
	return velkomst;
		}

		public static void personSkifterOmraade(String personID, String omraadeID) {
	Person person = getPerson(personID);
	Omraade nyOmraade = getOmraade(omraadeID);
	person.skiftOmraade(nyOmraade);
		}

		public static Omraade efterspoergPerson(String personID) {
				Person efterspurgte = getPerson(personID);
				return efterspurgte.getOmraade();
		}

		public static void registrerEfterspoergsel(String egetID, String efterspurgtesID)
		{
				Person efterspoerger = getPerson(egetID);
				Person efterspurgte = getPerson(efterspurgtesID);
				efterspurgte.opretEfterspoergsel(efterspoerger);
		}

		public static void registrerAnkomstMeddelelse(String egetID, String efterspurgtesID)
		{
				Person efterspoerger = getPerson(egetID);
				Person efterspurgte = getPerson(efterspurgtesID);
				efterspurgte.opretAnkomstMeddelelse(efterspoerger);

		}
		public static void sendBesked(String personID, Object besked)
		{
				Person person = getPerson(personID);
				Iterator medieIterator = person.getMedieIterator();
				BeskedSender.getBeskedSender().send(medieIterator, besked);

		}

}
